How To Install Texmaker 4.3 On Ubuntu, Debian And Derivative Systems

Hello Linux Geeksters. As you may know, Texmaker is an open-source Qt4/Qt5 app that allows the user to develop documents in LaTeX. Being cross-platform, it runs on Linux, Windows and Mac OS X. The latest version available is Texmaker 4.3, which has been released a while ago, coming with a few changes only. From the changelog:

  • a visual diff view has been added to the “source viewer” (differences between the current files loaded in the editor and in the “source viewer”) based on jsdifflib from Chas Emerick (BSD license)
  • when a command fails, the command is now displayed with the error message “Could not start the command”
  • an “reload all documents from file” option has been added to the “File” menu (users request)
  • if a “completion.txt” file is found in the same directory than texmaker.exe on windows, in the “/usr/share/texmaker/” folder on linux and in the “Resources” subdirectory of the .app package on macosx, all items from this file will be added automatically for the autocompletion (the syntax must be the same than for the .”Customize completion” option of the “User” menu.
  • an option to launch the “Clean” tool when exiting the program has been added (users request)
  • a texmaker man page and a texmaker.menu file have been added in the “utilities” directory of the source (thanks to Bernd Warken for the man-page)
  • the cs, el, es, hu and se translations have been updated (thanks to all the translators)

how to install Texmaker 4.3 on Ubuntu 14.04 Trusty Tahr, Ubuntu 12.04 Precise Pangolin, Linux Mint 17 Qiana, Linux Mint 13 Maya, Pinguy OS 14.04, Pinguy OS 12.04, Elementary OS 0.3 Freya, Elementary OS 0.2 Luna, Peppermint Five, LXLE 14.04, Linux Lite 2.0, Deepin 2014, Linux Lite 2.0, Debian 7 Wheezy, Crunchbang, Kwheezy

In this article I will show you how to install Texmaker 4.3 on Ubuntu 14.04 Trusty Tahr, Ubuntu 12.04 Precise Pangolin, Linux Mint 17 Qiana, Linux Mint 13 Maya, Pinguy OS 14.04, Pinguy OS 12.04, Elementary OS 0.3 Freya, Elementary OS 0.2 Luna, Peppermint Five, LXLE 14.04, Linux Lite 2.0, Deepin 2014, Linux Lite 2.0, Debian 7 Wheezy, Crunchbang, Kwheezy and other Ubuntu and Debian derivative systems.

Because it is not available via any repository or PPA, we have to download the texmaker deb package from the project’s site and install it via command-line. I prefer gdebi over dpkg due to the fact that it also handles dependencies.

Follow the instructions for your system and architecture exactly, in order to get a successful installation.

How to install TexMaker 4.3 (Qt5) on Ubuntu 14.04 and derivatives:

Instructions for 32 bit systems:

$ sudo apt-get install gdebi
$ wget xm1math.net/texmaker/texmakerQT5_ubuntu_14.04_4.3_i386.deb
$ sudo gdebi texmakerQT5_ubuntu_14.04_4.3_i386.deb

Instructions for 64 bit systems:

$ sudo apt-get install gdebi
$ wget xm1math.net/texmaker/texmakerQT5_ubuntu_14.04_4.3_amd64.deb
$ sudo gdebi texmakerQT5_ubuntu_14.04_4.3_amd64.deb

Optional, to remove texmaker, for both 32 bit and 64 bit systems, do:

$ sudo apt-get remove texmaker*

How to install TexMaker 4.3 (Qt4) on Ubuntu 14.04 and derivatives:

Instructions for 32 bit systems:

$ sudo apt-get install gdebi ibus-qt
$ wget xm1math.net/texmaker/texmaker_ubuntu_14.04_4.3_i386.deb
$ sudo gdebi texmaker_ubuntu_14.04_4.3_i386.deb

Instructions for 64 bit systems:

$ sudo apt-get install gdebi ibus-qt
$ wget xm1math.net/texmaker/texmaker_ubuntu_14.04_4.3_amd64.deb
$ sudo gdebi texmaker_ubuntu_14.04_4.3_amd64.deb

Optional, to remove texmaker, for both 32 bit and 64 bit systems, do:

$ sudo apt-get remove texmaker*

How to install TexMaker 4.2 (Qt4) on Ubuntu 12.04 and derivatives:

Instructions for 32 bit systems:

$ sudo apt-get install gdebi ibus-qt
$ wget xm1math.net/texmaker/texmaker_ubuntu_12.04_4.3_i386.deb
$ sudo gdebi texmaker_ubuntu_12.04_4.3_i386.deb

Instructions for 64 bit systems:

$ sudo apt-get install gdebi ibus-qt
$ wget xm1math.net/texmaker/texmaker_ubuntu_12.04_4.3_amd64.deb
$ sudo gdebi texmaker_ubuntu_12.04_4.3_amd64.deb

Optional, to remove texmaker, for both 32 bit and 64 bit systems, do:

$ sudo apt-get remove texmaker*

How to install TexMaker 4.2 (Qt4) on Debian Wheezy and derivatives:

Instructions for 32 bit systems:

$ sudo apt-get install gdebi ibus-qt
$ wget xm1math.net/texmaker/texmaker_debian_wheezy_4.3_i386.deb
$ sudo gdebi texmaker_debian_wheezy_4.3_i386.deb

Instructions for 64 bit systems:

$ sudo apt-get install gdebi ibus-qt
$ wget xm1math.net/texmaker/texmaker_debian_wheezy_4.3_amd64.deb
$ sudo gdebi texmaker_debian_wheezy_4.3_amd64.deb

Optional, to remove texmaker, for both 32 bit and 64 bit systems, do:

$ sudo apt-get remove texmaker*

Share and Enjoy

  • Twitter
  • Facebook
  • Google Plus
  • Email
  • RSS
Tagged with: , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!

Leave a Reply

Your email address will not be published. Required fields are marked *

*